Name:		HEP_OSlibs
Version:	7.0.4
Release:	0%{?dist}
Summary:	HEP OS dependencies for 64bit architectures
Group:  	System/Middleware
License:	Open Source
ExclusiveArch:  x86_64 aarch64

Requires: alsa-lib(%{__isa_name}-32), alsa-lib(%{__isa_name}-64)
Requires: bzip2(%{__isa_name}-64)
Requires: bzip2-devel(%{__isa_name}-32), bzip2-devel(%{__isa_name}-64)
Requires: compat-db(%{__isa_name}-64)
Requires: compat-glibc-headers(%{__isa_name}-64)
Requires: compat-libf2c-34(%{__isa_name}-32), compat-libf2c-34(%{__isa_name}-64)
Requires: compat-libgfortran-41(%{__isa_name}-32), compat-libgfortran-41(%{__isa_name}-64)
Requires: compat-libstdc++-33(%{__isa_name}-32), compat-libstdc++-33(%{__isa_name}-64)
Requires: compat-openldap(%{__isa_name}-32), compat-openldap(%{__isa_name}-64)
Requires: e2fsprogs-libs(%{__isa_name}-32)
Requires: freetype-devel(%{__isa_name}-32), freetype-devel(%{__isa_name}-64)
Requires: gamin(%{__isa_name}-32), gamin(%{__isa_name}-64)
Requires: gcc-c++(%{__isa_name}-64), gdbm(%{__isa_name}-32)
Requires: giflib(%{__isa_name}-32), giflib(%{__isa_name}-64)
Requires: glibc-devel(%{__isa_name}-32), glibc-devel(%{__isa_name}-64)
Requires: glibmm24(%{__isa_name}-64)
Requires: gmp(%{__isa_name}-32)
Requires: krb5-devel(%{__isa_name}-64)
Requires: libaio(%{__isa_name}-32), libaio(%{__isa_name}-64)
Requires: libatomic(%{__isa_name}-64)
Requires: libdrm-devel(%{__isa_name}-32), libdrm-devel(%{__isa_name}-64)
Requires: libgfortran(%{__isa_name}-32), libgfortran(%{__isa_name}-64)
Requires: libidn(%{__isa_name}-32)
Requires: libpng12(%{__isa_name}-64)
Requires: libpng-devel(%{__isa_name}-32), libpng-devel(%{__isa_name}-64)
Requires: libsepol(%{__isa_name}-32)
Requires: libtiff(%{__isa_name}-32)
Requires: libtool-ltdl(%{__isa_name}-32), libtool-ltdl(%{__isa_name}-64)
Requires: libtool(%{__isa_name}-64)
Requires: libuuid-devel(%{__isa_name}-32), libuuid-devel(%{__isa_name}-64)
Requires: libX11-devel(%{__isa_name}-32), libX11-devel(%{__isa_name}-64)
Requires: libXau-devel(%{__isa_name}-32), libXau-devel(%{__isa_name}-64)
Requires: libxcb-devel(%{__isa_name}-32), libxcb-devel(%{__isa_name}-64)
Requires: libXcursor(%{__isa_name}-32), libXcursor(%{__isa_name}-64)
Requires: libXdamage-devel(%{__isa_name}-32), libXdamage-devel(%{__isa_name}-64)
Requires: libXdmcp-devel(%{__isa_name}-32), libXdmcp-devel(%{__isa_name}-64)
Requires: libXext-devel(%{__isa_name}-32), libXext-devel(%{__isa_name}-64)
Requires: libXfixes-devel(%{__isa_name}-32), libXfixes-devel(%{__isa_name}-64)
Requires: libXft-devel(%{__isa_name}-64)
Requires: libXinerama(%{__isa_name}-32), libXinerama(%{__isa_name}-64)
Requires: libxml2-devel(%{__isa_name}-32), libxml2-devel(%{__isa_name}-64)
Requires: libXmu(%{__isa_name}-32), libXmu(%{__isa_name}-64)
Requires: libXpm-devel(%{__isa_name}-64)
Requires: libXpm(%{__isa_name}-32)
Requires: libXp(%{__isa_name}-32), libXp(%{__isa_name}-64)
Requires: libXrandr(%{__isa_name}-32), libXrandr(%{__isa_name}-64)
Requires: libXtst(%{__isa_name}-32), libXtst(%{__isa_name}-64)
Requires: libXxf86vm-devel(%{__isa_name}-32), libXxf86vm-devel(%{__isa_name}-64)
Requires: mesa-dri-drivers(%{__isa_name}-32), mesa-dri-drivers(%{__isa_name}-64)
Requires: mesa-libGL-devel(%{__isa_name}-32), mesa-libGL-devel(%{__isa_name}-64)
Requires: mesa-libGLU-devel(%{__isa_name}-32), mesa-libGLU-devel(%{__isa_name}-64)
Requires: ncurses-devel(%{__isa_name}-32), ncurses-devel(%{__isa_name}-64)
Requires: openldap(%{__isa_name}-32)
Requires: openssl098e(%{__isa_name}-32), openssl098e(%{__isa_name}-64)
Requires: perl-CGI
Requires: perl-ExtUtils-Embed
Requires: tk(%{__isa_name}-32), tk(%{__isa_name}-64)
Requires: zsh(%{__isa_name}-64)

%description
This rpm captures the OS dependencies of the LHC experiment applications 
on CentOS7/x86_64. The package was put together with the help of the WLCG 
Application Area and of WLCG Operations task forces and aims to cover the
dependencies of all four LHC experiments. This CentOS7 version was derived 
from the analogous metapackage for SL6. Though its primary target remains 
CentOS7/x86_64, "x86" tags have been replaced by more generic %{__isa_name}
tags to prepare support for non-x86 architectures (such as Fedora21/aarch64).

%files
%defattr(-,root,root,-)
%doc

%changelog

* Tue Jun 28 2016 Andrea Valassi 7.0.4-0
Add 64-bit libpng12 (requested by ATLAS). Require 96 packages (49 x86-64, 
45 x86-32, 2 noarch). Restructure the spec file using different "Requires"
tags, preparing for the future split of the 64-bit and 32-bit meta-rpms.

* Tue May 31 2016 Andrea Valassi 7.0.3-0
Add 64-bit libatomic (new ROOT dependency).
Require 95 packages (48 x86-64, 45 x86-32, 2 noarch). 

* Tue May 31 2016 Andrea Valassi 7.0.2-0
Use generic %{__isa_name} tags instead of x86-specific architecture tags
(see http://www.rpm.org/wiki/PackagerDocs/ArchDependencies). Add 64-bit bzip2 
(requested by GENSER). Require 94 packages (47 x86-64, 45 x86-32, 2 noarch). 

* Thu Oct 02 2014 Andrea Valassi 7.0.1-0
Add perl-CGI and perl-ExtUtils-Embed (requested by CMS for SL6) using CentOS7
compatible syntax. Require 93 packages (46 x86-64, 45 x86-32, 2 noarch). 

* Wed Oct 01 2014 Andrea Valassi 7.0.0-0
First stable version with 91 packages (46 for x86-64, 45 for x86-32). 
Removed CentOS7 from the library name and renumbered as version 7.0.0.
Derived from the SL6 version, after removing packages that do not exist
in CERN CentOS7, packages that are already installed in CERN CentOS7,
and packages that are pulled in as dependencies of others in this metarpm.
